org.apache.felix.bundlerepository.impl

## Class OSGiCapabilityAdapter

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.OSGiCapabilityAdapter

All Implemented Interfaces:
  Capability

    public class OSGiCapabilityAdapter
    extends java.lang.Object
    implements Capability

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Capability

`BUNDLE, EXECUTIONENVIRONMENT, FRAGMENT, PACKAGE, SERVICE`

### Constructor Summary

Constructors
Constructor and Description
`OSGiCapabilityAdapter(org.osgi.resource.Capability capability)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.util.Map<java.lang.String,java.lang.String>` `getDirectives()` Return the directives of this capability.
`java.lang.String` `getName()` Return the name of the capability.
`Property[]` `getProperties()` Return the properties of this capability
`java.util.Map<java.lang.String,java.lang.Object>` `getPropertiesAsMap()` Return the map of properties.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGiCapabilityAdapter

    public OSGiCapabilityAdapter(org.osgi.resource.Capability capability)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getName

    public java.lang.String getName()

Description copied from interface: `Capability`
Return the name of the capability.

Specified by:
  `getName` in interface `Capability`

#### getProperties

    public Property[] getProperties()

Description copied from interface: `Capability`
Return the properties of this capability

Specified by:
  `getProperties` in interface `Capability`
Returns:

#### getPropertiesAsMap

    public java.util.Map<java.lang.String,java.lang.Object> getPropertiesAsMap()

Description copied from interface: `Capability`
Return the map of properties.

Specified by:
  `getPropertiesAsMap` in interface `Capability`
Returns:
  a Map<String,Object>

#### getDirectives

    public java.util.Map<java.lang.String,java.lang.String> getDirectives()

Description copied from interface: `Capability`
Return the directives of this capability. The returned map can not be modified.

Specified by:
  `getDirectives` in interface `Capability`
Returns:
  a Map of directives or an empty map there are no directives.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`